Subject: bug#35860: Delayed window positioning after buffer display

From: martin rudalics <[email-masked]>
Date: Thu, 13 Jun 2019 10:44:28 +0200

> Dmitry reverted my patch in bug#35624 because of no progress here,
 > so I needed to implement this quickly.  It generalizes
 > help-window-point-marker to a more general variable useful
 > not only in the Help buffer but everywhere, and all my tests show
 > that it works well:
 >

OK.  But

-;; (4) A marker (`help-window-point-marker') to move point in the help
+;; (4) A marker (`window-point') to move point in the help
  ;;     window to an arbitrary buffer position.

sounds irritating IMHO.  If it's used for help windows only, then why
rename it?  Otherwise, we should at least leave the '-marker' postfix
and provide some additional identification so maybe use something like
'temp-buffer-window-point-marker'

martin